function testCheckBox

%% Create a checkbox

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off');

% Get figure size
pos = get(gcf,'position');

% Create a checkbox in the middle of the screen
T = jacontrol(HWIN, 'style', 'checkbox',...
    'string', 'A checkbox',...
    'units','pixels',...
    'position',[20 pos(4)/2 200 20]);

set(HWIN,'name','A checkbox');

%% Change the checkbox icons

% Green icon for selected state
green = zeros(16,16,3);green(:,:,2)=1;
set(T, 'selectedicon', green);

% Red icon for unselected state
red = zeros(16,16,3);red(:,:,1)=1;
set(T, 'icon', red);

set(HWIN,'name','Checkbox with custom icons');

%% Set checkbox value
 
set(T,'value', true);
set(HWIN,'name','Selected checkbox');

%% Change checkbox foreground color

set(T,'foregroundcolor', [0 0 1]);
set(HWIN,'name','Checkbox with a blue foreground');

%% Set checkbox fontsize

set(T,'fontsize', 16);
set(HWIN,'name','Checkbox with a larger font');
