function testHyperLink

%% Create a hyperlink

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off');

% Get figure size
pos = get(HWIN,'position');

% Create a hyperlink in the middle of the screen
T = jacontrol(HWIN, 'style', 'hyperlink',...
    'string', 'A hyperlink',...
    'units','pixels',...
    'position',[20 pos(4)/2 200 120]);

set(HWIN,'name','A hyperlink');


%% Change hyperlink background color

set(T,'backgroundcolor', [1 1 1]);
set(HWIN,'name','Hyperlink with a white background');

%% Change hyperlink foreground color

set(T,'foregroundcolor', [0 0 1]);
set(HWIN,'name','Hyperlink with a blue foreground');

%% Set hyperlink fontsize

set(T,'fontsize', 16);
set(HWIN,'name','Hyperlink with a larger font');


%% Center the hyperlink

set(T,'horizontalalignment', 'center',...
    'verticalalignment', 'center');
set(HWIN,'name','A centered hyperlink');


