function testMapViewer

%% Create a mapviewer

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off');

T = jacontrol(HWIN, 'style', 'mapviewer',...
    'alpha',1,...
    'units','normalized',...
    'units','normalized',...
    'position',[0 0 1 1]);
pause(1);

set(HWIN,'name','A MapViewer');

%% Adjust ZoomLevel

set(T,'zoomlevel', 6);
pause(1);
set(HWIN,'name','A MapViewer with adjusted zoomlevel');


%% Plot a patch

lat = rand(50,1)*3 + 51;
lon = rand(50,1)*4 + 3;

patch(T,[3 7 7 3],[51 51 54 54],'facecolor',[rand(1,3) .1]);
set(HWIN,'name','A MapViewer with a patch');

%% Plot markers

marker(T,lon,lat,'markerfacecolor',[rand(1,3) .5], 'marker', randpick({'v','<','>','^','o'}));
set(HWIN,'name','A MapViewer with a markers');