function testNestedPanel

%% Create a panel divided in four panels with four buttons

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off',...
    'position',[0 0 640 512]);

% Create a panel with a title and lineborder in the center of the figure
T = jacontrol(HWIN, 'style', 'panel',...
    'tag','panel',...
    'units','normalized',...
    'position',[0 0 1 1],...
    'borderstyle', 'line',...
    'backgroundcolor', [1 1 1]);

for i=1:2
    for j=1:2
        panel = jacontrol(T, 'style', 'panel',...
            'tag',sprintf('panel%d%d',i,j));
        
        for i1=1:2
            for j1=1:2
                button = jacontrol(T, 'style', 'button',...
                    'string','button','tag',sprintf('button%d%d',i1,j1));
                
                add(panel, button, i1, j1, 'weightx', 1, 'weighty', 1, 'fill', 'both', 'insets', [10 10 10 10]);
            end
        end
        
        add(T, panel, i, j, 'weightx', 1, 'weighty', 1, 'fill', 'both', 'insets', [10 10 10 10]);
    end
end

drawnow
set(HWIN,'name','A Panel divided in four panels with four buttons');
 

