function testScrollPane

%% Create a ScrollPane

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off');

% Create a ScrollPane in the center of the figure
T = jacontrol(HWIN, 'style', 'ScrollPane',...
    'units','normalized',...
    'position',[.1 0.1 0.8 0.8]);

% Add a panel
P = jacontrol(T,...
    'tag', 'panel',...
    'style', 'Panel');

% Add button to this panel
for i=1:10
    for j=1:10
        button = jacontrol(P, 'style', 'button',...
            'string',sprintf('Button (%d,%d)',i,j),...
            'tag',sprintf('Button (%d,%d)',i,j));
        
        add(P, button, i, j, 'weightx', 0, 'insets', [10 10 10 10]);
    end
end

% Add panel to the scrollpane
add(T,P);

set(HWIN,'name','A ScrollPane');


