function testSplitPane

%% Create a SplitPane

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off');

% Create a SplitPane in the center of the figure
T = jacontrol(HWIN, 'style', 'SplitPane',...
    'units','normalized',...
    'position',[.1 0.1 0.8 0.8],...
    'orientation', 'horizontal');

% Add a panel
Pleft = jacontrol(T,...
    'style', 'Panel',...
    'tag', 'left',...
    'backgroundcolor',[1 0 0]);

% Add a panel
Pright = jacontrol(T,...
    'style', 'Panel',...
    'tag', 'right',...
    'backgroundcolor',[0 1 0]);

setLeftComponent(T, Pleft);
setRightComponent(T, Pright);

set(HWIN,'name','A horizontal SplitPane');

%% Change SplitPane orientation
 
set(T,'orientation', 'vertical');
set(HWIN,'name','A vertical SplitPane');

 