function testToolBar

%% Create a ToolBar

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off',...
    'position',[0 0 640 512]);

% Create a panel in the center of the figure
T = jacontrol(HWIN, 'style', 'panel',...
    'units','normalized',...
    'position',[0 0 1 1],...
    'borderstyle', 'line');

% Create a toolbar
toolbar = jacontrol(HWIN, 'style', 'toolbar',...
    'rollover',true,...
    'backgroundcolor', [.9 .9 .9]);

% Add components to the toolbar
button = jacontrol(toolbar, 'style', 'button',...
    'string',sprintf('Button'));
add(toolbar, button);
checkbox = jacontrol(toolbar, 'style', 'checkbox',...
    'string',sprintf('CheckBox'));
add(toolbar, checkbox);
radiobutton = jacontrol(toolbar, 'style', 'radiobutton',...
    'string',sprintf('RadioButton'));
add(toolbar, radiobutton);

add(T,toolbar, 1, 1, 'weightx', 1, 'weighty', 1, 'fill', 'horizontal');

set(HWIN,'name','A ToolBar');
 

