%  addns - add a namespace definition to the xml-object   
%   
%  CALL:   
%   obj = addns(obj,S)   
%   
%  INPUT:   
%   obj: <xml-object>   
%   S:   <struct> fieldnames --> namespace variable   
%                 values     --> namespace value   
%        <cell array> nx2, first column  --> namespace variable   
%                          second column --> namespace value   
%   
%  OUTPUT:   
%   obj: <xml-object>   
%   
%  EXAMPLE   
%   %create an xml-object   
%   obj = xml(fullfile(pwd,'examples','namespaces.xml'))   
%   
%   %try to get attribute   
%   obj.width.('@nsdim:dim')   
%   
%   %add namespace   
%   addns(obj,{'nsdim','http://www.modelit.nl/dimension'})   
%   
%   %get attribute   
%   obj.width.('@nsdim:dim')   
%   
%  See also: xml, xml/listns, xml/clearns, xml/removens, xml/getns   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
