%  fieldNames - get the names of the direct children of the root node   
%               c.f. the function fieldnames for structures   
%  CALL:   
%   fields = fieldnames(obj)   
%   
%  INPUT:   
%   obj: <xml-object>   
%   
%  OUTPUT:   
%   fields: <cellstring> with the nodenames of the children of the root node   
%   
%  EXAMPLE:   
%   %create an xml from a sourcefile   
%   obj = xml(fullfile(pwd,'examples','books.xml'))   
%   fieldnames(obj)   
%   
%   book1 = obj.book(1)   
%   fieldnames(book1{1})   
%   
%  See also: xml, xml/getRoot, xml/noNodes, xml/isfield   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
