%  get - get the value of the specified property for an xml-object (from the   
%        object itself not from the xml)   
%   
%  CALL:   
%   prop_val = get(obj,prop_name)   
%   
%  INPUT:   
%   obj:         <xml-object>   
%   prop_name:   <string> propertyname, possible values:   
%                        - DOM  <org.apache.xerces.dom.DeferredDocumentImpl>   
%                               with the DOM representation of the xml   
%                        - file <string> with filename   
%                        - NS   <java.util.HashMap> with namespaces   
%   
%  OUTPUT:   
%   prop_val:     the value of the specified property for the xml-object   
%                 <struct> with all properties plus values if nargin == 1   
%   
%  EXAMPLE:   
%   %create an xml from a sourcefile   
%   obj = xml(fullfile(pwd,'examples','books.xml'))   
%   %get all property-value pairs   
%   get(obj)   
%   %get the (D)ocument (O)bject (M)odel   
%   get(obj,'DOM')   
%   
%  See also: xml, xml/set   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
