%  installjar - Create a classpath.txt file.   
%   
%  SUMMARY:   
%      Modelit provides a number of functions that require the static path   
%      to be set. The static path is set at startup and read from the file   
%      classpath.txt. Installjar writes this file and should be run whenever   
%      the software is installed in a new location.   
%   
%      installjar readme:   
%   
%      - Some Modelit applications rely on one or more Java-Archive's (JAR files)   
%      created by Modelit.   
%   
%      - installjar.exe is a utility that installs these JAR files.   
%   
%      - Usually, an install script provided by modelit takes care of this.   
%      These notes provide extra information.   
%   
%      - installjar.exe must be run before the Modelit application is started   
%   
%      - It is not necessary to run installjar.exe more then once, unless the   
%      application files are moved to a new directory   
%   
%      - The installjar utility requires at least the following file structure   
%   
%                  <This directory>   
%                  +----installjar.exe (file)   
%                  +----installjar.ctf (file)   
%                  +----java (directory)   
%                       +----modelit.jar (file)   
%                       +----<any other jar file>   
%   
%  CALL:   
%   terminateApplication=installjar(ALWAYS,jarNames)   
%   
%  INPUT   
%      ALWAYS:   (Optional) If true: always write classpath file (or   
%                javaclasspath file). If false only write file if it does   
%                not exist.   
%      jarNames: (Optional) Cell array that contains the names of required   
%                jar files. When omitted all files in jar directory are   
%                installed   
%   
%                INTERPRETED MODE   
%                if no arguments are specified all jar files in the utility   
%                directory mbdutils\java are added to the static   
%                javaclasspath.   
%                Any specified jar files should be located in the directory   
%                "...\mbdutils\java" when ran in on Matlab path   
%   
%                COMPILED MODE   
%                if no arguments are specified all jar files in the   
%                directory pwd\java are added to the static javaclasspath.   
%                Any specified files should be located in directory "pwd\java"   
%   
%  OUTPUT   
%      terminateApplication:   
%                if true: terminate application (compiled mode) or terminate   
%                Matlab session (compiled mode)   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
