%  struct2treemodel - fast way to convert structure to treemodel for use in treetable   
%   
%  CALL:   
%   model = struct2treemodel(S, model, parent)   
%   
%  INPUT:   
%   S:   
%         array of structures   
%   model:   
%          parameter that can be passed to jacontrol with style JXTable   
%   parent:   
%          initial parent   
%   
%  OUTPUT:   
%     model:   
%          parameter that can be passed to jacontrol with style JXTable   
%   
%            model   
%            +----data Nx2 cell array of cells   
%            +----header 1x2 cell of char-strings   
%            +----hierarchy Nx2 array of int32   
%            +----icons empty cell array   
%            +----userdata empty cell array   
%     leave_data   
%          Nx1 cell array   
%          This array contains de content of the leaves of the input   
%          structure S.   
%   
%  EXAMPLE   
%      [table h] = jacontrol('style','Table',...   
%          'scrollb',true,...   
%          'ColumnControlVisible',true,...   
%          'SelectionMode',3,...   
%          'showgrid','none');   
%       set(table,'Content',struct2treemodel(S));   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
